Skip to navigation

Update email setting overrides for envelope

View as Markdown

Updates the existing email override settings for the specified envelope. Note that modifying email settings will only affect email communications that occur after the modification was made.

This can also be used to delete an individual email override setting by using an empty string for the value to be deleted.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

envelopeIdstringRequired

The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec

Request

This endpoint expects an object: emailSettings

bccEmailAddresseslist of objectsOptional

An array containing the email address that should receive a copy of all email communications related to an envelope for archiving purposes. Maximum Length: 100 characters.

Note: While this property is an array, it takes only a single email address.

replyEmailAddressOverridestringOptional
replyEmailNameOverridestringOptional

Response

Successful response.
bccEmailAddresseslist of objectsOptional

An array containing the email address that should receive a copy of all email communications related to an envelope for archiving purposes. Maximum Length: 100 characters.

Note: While this property is an array, it takes only a single email address.

replyEmailAddressOverridestringOptional
replyEmailNameOverridestringOptional

Errors

400
Bad Request Error